Bug 17310

Summary: Broken URLs in 'Item renewed' / 'Cannot renew' messages
Product: Koha Reporter: Andreas Roussos <arouss1980>
Component: CirculationAssignee: Andreas Roussos <arouss1980>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: minor    
Priority: P5 - low CC: brendan, frederic, gmcharlt, hector.hecaxmmx, julian.maurice, katrin.fischer, kyle.m.hall, tmisilo
Version: 16.05   
Hardware: All   
OS: All   
URL: /cgi-bin/koha/circ/renew.pl
Change sponsored?: --- Patch complexity: Trivial patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 17310 - Broken URLs in 'Item renewed' / 'Cannot renew' messages
[SIGNED-OFF]Bug 17310: Broken URLs in 'Item renewed' / 'Cannot renew' messages
[PASSED QA] Bug 17310: Broken URLs in 'Item renewed' / 'Cannot renew' messages

Description Andreas Roussos 2016-09-17 10:35:19 UTC
Description of the problem:
In the Staff client, under Circulation > Renew, the message shown after
successful renewal of an item contains broken URLs like these:

/cgi-bin/koha/catalogue/detail.pl?biblionumber=Koha::Schema::Result::Biblio=HASH(0x7714d88)
/cgi-bin/koha/catalogue/moredetail.pl?itemnumber=7&biblionumber=Koha::Schema::Result::Biblio=HASH(0x7714d88)&bi=1286#item7

This is also true for the message shown when you try to renew an item
that is not checked out.

Valid in latest stable (v16.05.03) and in the current master (0254fd7).
Comment 1 Andreas Roussos 2016-09-17 10:57:43 UTC
Created attachment 55630 [details] [review]
Bug 17310 - Broken URLs in 'Item renewed' / 'Cannot renew' messages

In the Staff client, under Circulation > Renew, the message shown after
successful renewal of an item contains broken URLs. This is also true for
the message shown when you try to renew an item that is not checked out.

This patch fixes that.

Test plan:
1) Go to Circulation > Renew, and search for the barcode of a checked-out
   item. In the 'Item renewed:' confirmation message, notice how the URLs
   for the title and the barcode are broken.
2) Now search for the barcode of an item that is not checked out. In the
   'Cannot renew:' message, notice how the URLs are broken here too.
3) Apply the patch.
4) Repeat steps 1) and 2). This time the URLs work fine.
Comment 2 Héctor Eduardo Castro Avalos 2016-09-21 21:27:59 UTC
Created attachment 55743 [details] [review]
[SIGNED-OFF]Bug 17310: Broken URLs in 'Item renewed' / 'Cannot renew' messages

In the Staff client, under Circulation > Renew, the message shown after
successful renewal of an item contains broken URLs. This is also true for
the message shown when you try to renew an item that is not checked out.

This patch fixes that.

Test plan:
1) Go to Circulation > Renew, and search for the barcode of a checked-out
   item. In the 'Item renewed:' confirmation message, notice how the URLs
   for the title and the barcode are broken.
2) Now search for the barcode of an item that is not checked out. In the
   'Cannot renew:' message, notice how the URLs are broken here too.
3) Apply the patch.
4) Repeat steps 1) and 2). This time the URLs work fine.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised
Comment 3 Katrin Fischer 2016-09-25 13:09:04 UTC
Good catch!
Comment 4 Katrin Fischer 2016-09-25 13:09:58 UTC
Created attachment 55797 [details] [review]
[PASSED QA] Bug 17310: Broken URLs in 'Item renewed' / 'Cannot renew' messages

In the Staff client, under Circulation > Renew, the message shown after
successful renewal of an item contains broken URLs. This is also true for
the message shown when you try to renew an item that is not checked out.

This patch fixes that.

Test plan:
1) Go to Circulation > Renew, and search for the barcode of a checked-out
   item. In the 'Item renewed:' confirmation message, notice how the URLs
   for the title and the barcode are broken.
2) Now search for the barcode of an item that is not checked out. In the
   'Cannot renew:' message, notice how the URLs are broken here too.
3) Apply the patch.
4) Repeat steps 1) and 2). This time the URLs work fine.

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 5 Brendan Gallagher 2016-10-10 12:34:27 UTC
Pushed to Master - Should be in the November Release 16.11 - Thanks!
Comment 6 Frédéric Demians 2016-10-22 10:42:26 UTC
Pushed in 16.05. Will be in 16.05.05.
Comment 7 Julian Maurice 2016-10-24 09:46:36 UTC
Pushed to 3.22.x, will be in 3.22.12